Bug 846516 - SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /media/BLACKBERRY2/blackberry/camera/IMG-20120804-00252.jpg.
SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the f...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:bcc138d7795745fe83a9e093c98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 22:26 EDT by Fatima
Modified: 2012-11-19 21:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 21:57:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fatima 2012-08-07 22:26:20 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.4-4.fc16.i686
time:           mar 07 ago 2012 21:25:58 CDT

description:
:SELinux is preventing /opt/google/chrome/chrome from 'read' accesses on the file /media/BLACKBERRY2/blackberry/camera/IMG-20120804-00252.jpg.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, chrome debería permitir acceso read sobre  IMG-20120804-00252.jpg file.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep Chrome_ChildIOT /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:dosfs_t:s0
:Target Objects                /media/BLACKBERRY2/blackberry/camera/IMG-20120804-
:                              00252.jpg [ file ]
:Source                        Chrome_ChildIOT
:Source Path                   /opt/google/chrome/chrome
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           google-chrome-stable-20.0.1132.57-145807.i386
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.4-4.fc16.i686 #1
:                              SMP Thu Jul 5 20:58:10 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    mar 07 ago 2012 21:25:21 CDT
:Last Seen                     mar 07 ago 2012 21:25:21 CDT
:Local ID                      67a5e4be-2309-49ad-b707-d6e1f5ec33c8
:
:Raw Audit Messages
:type=AVC msg=audit(1344392721.331:88): avc:  denied  { read } for  pid=3834 comm="Chrome_ChildIOT" path="/media/BLACKBERRY2/blackberry/camera/IMG-20120804-00252.jpg" dev="sdb1" ino=898 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:dosfs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1344392721.331:88): arch=i386 syscall=socketcall success=yes exit=EPERM a0=11 a1=b04b2b40 a2=b7943ff4 a3=0 items=0 ppid=2 pid=3834 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=Chrome_ChildIOT exe=/opt/google/chrome/chrome subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)
:
:Hash: Chrome_ChildIOT,chrome_sandbox_t,dosfs_t,file,read
:
:audit2allow
:
:#============= chrome_sandbox_t ==============
:allow chrome_sandbox_t dosfs_t:file read;
:
:audit2allow -R
:
:#============= chrome_sandbox_t ==============
:allow chrome_sandbox_t dosfs_t:file read;
:
Comment 1 Fedora Update System 2012-11-13 13:29:24 EST
selinux-policy-3.10.0-96.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-96.fc16
Comment 2 Fedora Update System 2012-11-14 21:42:27 EST
Package selinux-policy-3.10.0-96.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-96.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18243/selinux-policy-3.10.0-96.fc16
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-19 21:57:34 EST
selinux-policy-3.10.0-96.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.